#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
int N,A,prvi_tim, drugi_tim,P,ost;
printf("Unesite ukupan broj poena i minimalan broj poena za pobedu ");
scanf("%d,%d",&N,&A);
if(N<=3*A;)
printf("Nemoguce resenje");
else 
   {
    P=N/3;
    ost=N%3;
    if(A==P/2)
        { prvi_tim=(P/2)+1;
          drugi_tim=(P/2)-1;
          printf("Prva dva seta su zavrsena rezultatom %d:%d",prvi_tim,drugi_tim);
        }
    else
        {
          if(P-A<A)
          {
              if(P%2==0)
              {
                prvi_tim=A;
                drugi_tim=P-A;
                printf("Prva dva seta su zavrsena rezultatom %d:%d",prvi_tim,drugi_tim);
              }
              else
                if(ost=1)
              {
                P=P+1;
                prvi_tim=A;
                drugi_tim=P-A;
                printf("Prva dva seta su zavrseni rezultatom %d:%d",prvi_tim,drugi_tim);
                P=P-2;
                ost=0;
                prvi_tim=A;
                drugi_tim=P-A;
                printf("Treci set je zavrsen rezultatom %d:%d",prvi_tim,drugi_tim);
                P=P+1;
              }
          }
          else 
                {
                  prvi_tim=(N-2)/2;
                  drugi_tim=prvi_tim+2;
                  printf("Prva dva seta su zavrsena rezultatom %d:%d",prvi_tim,drugi_tim);
                }
        }
     if(ost!=0)
     {
        P=P+ost;
        if(P=A/2)
            { prvi_tim=(A/2)+1;
              drugi_tim=(A/2)-1;
              printf("Treci set je zavrsen rezultatom %d:%d",prvi_tim,drugi_tim);
            }
        else
            {
                if(P-A<A)
                    {
                       prvi_tim=A;
                       drugi_tim=P-A;
                       printf("Treci set je zavrsen rezultatom %d:%d",prvi_tim,drugi_tim);
                    }
                else 
                    {
                      prvi_tim=(N-2)/2;
                      drugi_tim=prvi_tim+2;
                      printf("Treci set je zavrsen rezultatom %d:%d",prvi_tim,drugi_tim);
                      
                    }
        }
     }
        
        
        
        
    }

return 0;
}